package com.template.model.enumModel;

/**
 * @Author: xwt
 * @Date: 2023/7/6 星期四 16:34
 * @Description: com.template.model.enumModel
 * @Version: 1.0
 * 设备类型
 */
public enum eAccountType {
    Account(1),//账号
    User(2);//用户

    private int value;

    eAccountType(int value){
        this.value = value;
    }

    public int getValue() {
        return value;
    }
    public static eAccountType valueOf(int value) {
        switch (value) {
            case 1:
                return eAccountType.Account;
            case 2:
                return eAccountType.User;
            default:
                return null;
        }
    }

    public static String stringOf(Integer value) {
        switch (value) {
            case 1:
                return "账号";
            case 2:
                return "用户";
            default:
                return null;
        }
    }

}
